<?PHP
//saves relationships
//Include init files
require_once('../../pool_init.php');
require_once('smarty_init.php');
require_once('db_init.php');
require_once('pool_intent.class.php');
require_once('pool_approach.class.php');
require_once('pool_release.class.php');
require_once('pool_project.class.php');
require_once('art_project.class.php');
require_once('code_project.class.php');
require_once('review.class.php');
require_once('subject.class.php');
require_once('attribution.class.php');
require_once('pool_reference.class.php');
require_once('pool_relationship.class.php');

//Unescape the URL encoding in $_POST
foreach($_POST as &$postvar) {
	$postvar = urldecode($postvar);
	$postvar = stripslashes($postvar);
}

//Validate form
if(!isset($_POST['relationship']) || !isset($_POST['predicate']) || !isset($_POST['subject'])){
	$smarty->assign('success', false);
	$smarty->assign('reason', 'Missing Relationship or Predicate');
	run_smarty();
}

$relation_array = array();

//Split up the subject and predicates ids/pool types
$predicate = explode('_', $_POST['predicate']);
$subject = explode('_', $_POST['subject']);
$relation_array['predicate_id'] = array_shift($predicate);
$relation_array['subject_id'] = array_shift($subject);
$relation_array['predicate_type'] = array_shift($predicate);
$relation_array['subject_type'] = array_shift($subject);

//Assign remaining array vars
$relation_array['description'] = $_POST['description'];
$relation_array['recorder_id'] = $_COOKIE['poolid'];
$relation_array['relationship'] = $_POST['relationship'];

//Create relationship
$oRelationship = new Pool_Relationship($relation_array);
if($oRelationship){
	$smarty->assign('success', true);
	$smarty->assign('panelId', $_POST['panelId']);
	$smarty->assign('projectPanelId', $_POST['projectPanelId']);
	run_smarty();
} else {
	$smarty->assign('success', false);
	run_smarty();
}


function run_smarty(){
	$smarty = $GLOBALS['smarty'];
	
	$smarty->left_delimiter = '<{';
	$smarty->right_delimiter = '}>';		
	$smarty->display('js_relation_handler.tpl');
	$smarty->left_delimiter = '{';
	$smarty->right_delimiter = '}';	 
}

?>