<?PHP
//does a title search in the project table
//Requires get vars 'type', the type of object, and 'id', the id of the object
//Include init files
require_once('../../pool_init.php');
require_once('smarty_init.php');
require_once('db_init.php');


if(!isset($_GET['title']) || !isset($_GET['panelId'])){
	$smarty->assign('success', false);
}

$q = 'SELECT `title`, `id`, `pool_type` FROM `project` WHERE `title` LIKE ? ORDER BY `title` ASC';
$projects = $data->getAll($q, array('%'.$_GET['title'].'%'));
$q = 'SELECT `title`, `id`, `pool_type` FROM `reference` WHERE `title` LIKE ? ORDER BY `title` ASC';
$references = $data->getAll($q, array('%'.$_GET['title'].'%'));
$result = array_merge($projects, $references);

$smarty->assign('success', true);
$smarty->assign('projects', $result);
$smarty->assign('panelId', $_GET['panelId']);

$smarty->left_delimiter = '<{';
$smarty->right_delimiter = '}>';		
$smarty->display('title_search.tpl');
$smarty->left_delimiter = '{';
$smarty->right_delimiter = '}';	 

?>