<?PHP
//Art Pool .1
//Include init files
require_once('../pool_init.php');
require_once('smarty_init.php');
require_once('db_init.php');
require_once('person.class.php');

/******* BASIC SMARTY DEFINITIONS *********/
//Define the template
$smarty->assign('template', 'art_pool.tpl');
$smarty->assign('title', 'Art Pool 3.0');

//Define CSS and JS includes for this template
$smarty->assign('css', array('poolPanel.css', 'artPool.css', 'genericPool.css', 'personPanel.css'));
$smarty->assign('js', array('sniff.js','browser_check.js','ModuleLoader.js','geometry.js','genericPanelPages.js.php', 'protohistory.js', 'divplus.js', 'divplustypes.js', 'divplusdragger.js', 'menubar.js', 'menubarArtInit.js', 'poolPanel.js', 'ajaxShell.js', 'basin.js', 'fish.js', 'personArray.js.php', 'subject_array_short.js.php', isset($_GET['scope']) && $_GET['scope'] == 'all' ? 'art_pool_array.js.php?all=true' : 'art_pool_array.js.php', 'selector.js', 'selectorArtInit.js', 'artPoolInit.js'));
/******* END BASIC SMARTY DEFINITIONS *********/

/******* BEGIN LOGIC ********/
session_start();
$onload = 'Loader.include("genericPanel"); ProtoHistoryObj.init(); artPoolInit(); ';
if(isset($_GET['id'])) $onload .= 'initFish = workingBasin.findFish("'.$_GET['id'].'"); initFish.launchPanel();';
if(isset($_GET['theme'])) $onload .= 'addInitialCriterion("subjects", "'.$_GET['theme'].'");';
if(isset($_GET['person'])) $onload .= 'addInitialCriterion("authors", "'.$_GET['person'].'");';
if(isset($_SESSION['agreed'])) $onload .= 'topMenu.agreed = true;';
$smarty->assign('onload', $onload);
/******* END LOGIC *******/

$smarty->display('shell.tpl');
?>