<?PHP
//Form and handler for uploading images 
//Include init files
require_once('../pool_init.php');
require_once('smarty_init.php');
require_once('db_init.php');
require_once('person.class.php');
require_once('review.class.php');
require_once('art_project.class.php');
require_once('pool_intent.class.php');
require_once('pool_approach.class.php');
require_once('pool_release.class.php');
require_once('pool_project.class.php');
require_once('art_project.class.php');
require_once('code_project.class.php');
require_once('attribution.class.php');
require_once('pool_reference.class.php');

if((!isset($_GET['id']) && !isset($_POST['id'])) || (!isset($_GET['thumb_type']) && !isset($_POST['thumb_type']))){
	die('ID not set.  Please close and try again.');
}

$error = '';
$success = false;
$id = isset($_GET['id']) ? $_GET['id'] : $_POST['id'];
$thumb_type = isset($_GET['thumb_type']) ? $_GET['thumb_type'] : $_POST['thumb_type'];
$panel_id = isset($_GET['panel_id']) ? $_GET['panel_id'] : $_POST['panel_id'];

if(isset($_FILES['img'])){
	if ($_FILES['img']['size']>0) {
		if($_FILES['img']['size'] < 65536){
			$img_data['type'] = $_FILES['img']['type'];
			$img_data['name'] = $_FILES['img']['name'];
			$img_data['size'] = $_FILES['img']['size'];
			$img_data['tmp_name'] = $_FILES['img']['tmp_name'];
		
			// get file extension
			$ext = strtolower(substr(strrchr($img_data['name'],'.'), 1));
			if (in_array($ext,array("gif","jpg","png"))) {
				$dim = getimagesize($_FILES['img']['tmp_name']);
				if ($dim[0] > 100 || $dim[1] > 100){
					$error = 'Image must be smaller than 100x100';
				} else {
					$img = fread(fopen($img_data['tmp_name'], "r"), filesize($img_data['tmp_name'])) or die("Could not open file.");
					$q = 'INSERT INTO `thumbs` (`size`, `type`, `image`) VALUES (?,?,?)';
					$result = $data->query($q, array($img_data['size'], $ext, $img));
					if(DB::isError($result)){
						$error = "Image upload failed: ".$data->last_query." \n".$result->getMessage();
					} else {
						$thumb_id = $data->getOne('SELECT MAX(`id`) FROM `thumbs', array());
						$q = "UPDATE `$thumb_type` SET `thumb_id` = ? WHERE `id` = ?";
						$data->query($q, array($thumb_id, $id));
						if($thumb_type == 'project'){
							$project_type = $data->getOne('SELECT `pool_type` FROM `project` WHERE `id` = ?', array($id));
							$object_name = ucfirst($project_type).'_Project';
							$oProject = new $object_name($id);
							$oProject->load_all();
							$oProject->save_js();
						} else  if($thumb_type == 'person'){
							$oPerson = new Pool_Person($id);
							$oPerson->save_js();
						} else if ($thumb_type == 'reference'){
							$oReference = new Pool_Reference($id);
							$oReference->reload_all();
							$oReference->save_js();	
						}
						
						$success = true;
					}
				}
			} else $error = "Image must be of type jpg, gif, or png";
		} else $error = "Image must be less than 64KB";
	} else $error = "Image upload failed for no real reason:  Please try again.";
}

?>
<html>
	<head>
		<title></title>
		
		<link rel="stylesheet" href="css/artPool.css" type="text/css" />
		<link rel="stylesheet" href="css/genericPool.css" type="text/css" />
		
		<?PHP if($success){ ?>
		<script language='javascript'>
		window.opener.closePanel('<?PHP echo $panel_id; ?>');
		window.opener.alert('Icon Added');
		window.close();
		</script>
		<?PHP } ?>
		
		<style>
		</style>
	</head>
	<body>
		<?PHP if($success){ ?>
		Upload successful.  Please close this window and reopen your project in The Pool to see your icon.
		<?PHP } else { ?>
		<br />
		<form enctype='multipart/form-data' action='<?php echo $_SERVER['PHP_SELF']; ?>' method='post'>
			Upload Icon: <input name='img' type='file' /><br />
			<span style='font-size: 10px'>(icons must be no larger than 100px x 100px and 64KB)</span><br /> <br />
			<input type='hidden' name='id' value='<?PHP echo $id; ?>' />
			<input type='hidden' name='thumb_type' value='<?PHP echo $thumb_type; ?>' />
			<input type='hidden' name='panel_id' value='<?PHP echo $panel_id; ?>' />
			<div class='centered'><input type='submit' name='submit' value='upload' /></div>
		</form><br />
		<span style='color: red'><?PHP echo $error; ?></span>
		<?PHP } ?>
	</body>
</html>