<?PHP
//art pool panel tab content .1
//This contains the pages used for all panels in the art pool, not just art panels.
//Include init files
require_once('../../pool_init.php');
require_once('smarty_init.php');
require_once('db_init.php');
require_once('person.class.php');

/******* BASIC SMARTY DEFINITIONS *********/
$smarty->assign('js_arr_name', 'panelContent');
$tpl_array = array('art_project_general' => 'panels/art_project_general.tpl',
				   'art_intent_general' => 'panels/art_intent_general.tpl',
				   'art_intent_themes' => 'panels/art_intent_themes.tpl',
				   'art_intent_requests' => 'panels/art_intent_requests.tpl',	
				   'art_approach_general' => 'panels/art_approach_general.tpl',
				   'art_approach_rights' => 'panels/art_approach_rights.tpl',
				   'art_approach_requests' => 'panels/art_approach_requests.tpl',
				   'art_release_general' => 'panels/art_release_general.tpl',
				   'art_release_rights' => 'panels/art_release_rights.tpl',
				   'art_release_requests' => 'panels/art_release_requests.tpl',				   
				   'art_input_intent_basic' => 'panels/art_input_intent_basic.tpl',
				   'art_input_intent_description' => 'panels/art_input_intent_description.tpl',
				   'art_input_intent_behaviors' => 'panels/art_input_intent_behaviors.tpl',
				   'art_input_intent_requests' => 'panels/art_input_intent_requests.tpl',
				   'art_input_intent_submit' => 'panels/art_input_intent_submit.tpl',
				   'art_input_approach_basic' => 'panels/art_input_approach_basic.tpl',
				   'art_input_approach_description' => 'panels/art_input_approach_description.tpl',
				   'art_input_approach_type' => 'panels/art_input_approach_type.tpl',
				   'art_input_approach_rights' => 'panels/art_input_approach_rights.tpl',
				   'art_input_approach_requests' => 'panels/art_input_approach_requests.tpl',
				   'art_input_approach_submit' => 'panels/art_input_approach_submit.tpl',
				   'art_input_release_basic' => 'panels/art_input_release_basic.tpl',
				   'art_input_release_description' => 'panels/art_input_release_description.tpl',
				   'art_input_release_rights' => 'panels/art_input_release_rights_v2.tpl',
				   'art_input_release_requests' => 'panels/art_input_release_requests.tpl',
				   'art_input_release_submit' => 'panels/art_input_release_submit.tpl',
				   'art_input_review_description' => 'panels/art_input_review_description.tpl',
				   'art_input_review_conceptual' => 'panels/art_input_review_conceptual.tpl',
				   'art_input_review_perceptual' => 'panels/art_input_review_perceptual.tpl',
				   'art_input_review_technical' => 'panels/art_input_review_technical.tpl',
				   'art_input_review_submit' => 'panels/art_input_review_submit.tpl',
				   'relation_phrase' => 'panels/relation_phrase.tpl',
				   'relation_description' => 'panels/relation_description.tpl',
				   'relation_relationship' => 'panels/relation_relationship.tpl',
				   'relation_predicate' => 'panels/relation_predicate.tpl',
				   'relation_submit' => 'panels/relation_submit.tpl');
$smarty->assign('content', $tpl_array);
$smarty->assign('registry_name', 'artPanelPages.js.php');

/******* END BASIC SMARTY DEFINITIONS *********/

/******* BEGIN LOGIC ********/

/******* END LOGIC *******/

$smarty->display('js_static_shell.tpl');
?>