art_project_data = {
			project:{	id: '280',
				hr_id: 'pro_art_re:poste01',
				title: 'Re:Poste',
				intent_num: '1',
				approach_num: '1',
				release_num: '1',
				last_modified: '2006-04-28 00:00:00',
				rating: '8.00',
				basis: '12',
				subratings:{
					conceptual: {
						rating: 7.00,
						basis: 12
					} ,			
					perceptual: {
						rating: 8.00,
						basis: 12
					} ,			
					technical: {
						rating: 9.00,
						basis: 12
					} 			
				},
				subjects:{'55': 'the_criticism','64': 'the_news','108': 'the_education','127': 'the_capstone-2006'},
				contributors:{
					'4': {
						written: 'John Bell',
						roles: 'perceptual,technical,conceptual'
					} 			
				},
				requests: ''
			},
			intents:{
				'261' : {	id: 261,
					hr_id: 'art_re:poste01',
					date: '2005-12-05 00:00:00',
					description: 'Re:Poste is intended to allow academic review of mass media stories.  It will accomplish this by providing a trust-based network of academics who can add comments to a story by means of a bookmarklet.  Users can then access these comments via another bookmarklet.',
					uri_view: '',
					ratings:{},
					contributors:{
						'4': {
							written: 'John Bell',
							roles: 'conceptual'
						} 			
					},
					aspects:{interactive: '1',networked: '1'},
					requests: ''
				}
			},
			approaches:{
				'64' : {	id: 64,
					hr_id: 'art_re:poste01_v01',
					intent_id: '261',
					type: 'proposal',
					date: '2005-12-05 00:00:00',
					description: 'This is a Flash-based proposal of the Re:Poste project.',
					uri_view: 'http://www.umit.maine.edu/~john.bell/proposal/',
					uri_source: '',
					ratings:{},
					contributors:{
						'4': {
							written: 'John Bell',
							roles: 'conceptual,perceptual,technical'
						} 	
					},
					aspects:{attribution: '1',customrights: 'Note that these permissions cover only the proposal.  The project itself is covered under seperate licensing terms.',noncommercial: '1'},
					requests: ''
				}
			},
			releases:{
				'23' : {	id: '23',
					hr_id: 'art_re:poste01_v01.0',
					intent_id: '261',
					approach_id: '64',
					date: '2006-04-28 00:00:00',
					description: 'Beta release of the main site and bookmarklet.  ',
					uri_view: 'http://reposte.org',
					uri_source: 'http://',
					ratings:{},
					contributors:{
						'4': {
							written: 'John Bell',
							roles: 'perceptual,technical'
						} 			
					},
					aspects:{attribution: '1',customrights: 'This is a BETA release and should not be reused for any purpose!',nocombinations: '1',notransformation: '1',source: '0'},
					requests: ''
				}			
			},
			reviews:{
				'67' : {	id: 67,
					artifact_id: 23,
					artifact_type: 'release',
					rating: 9.50,
					hr_link: 'per_scottjames01_art_re:poste01_v01.0',
					date: '2006-05-08 00:00:00',
					description: 'This was aimed @ weeding out false media from what seems to be a polluted front page we see. I really like the idea, and this would be highly effective if you could bring in the inital audience. ',
					recorder_id: 153,
					recorder_written: 'james scott',
					subratings:{
						perceptual: {
							rating: 9, 
							description: ''
						}, 
						technical: {
							rating: 10, 
							description: 'This project looks extremely professional and was done with a great care and eye for detail.'
						}  
					}
				},
				'65' : {	id: 65,
					artifact_id: 23,
					artifact_type: 'release',
					rating: 9.00,
					hr_link: 'per_holttimothy01_art_re:poste01_v01.0',
					date: '2006-05-08 00:00:00',
					description: 'bookmarklet for reviewing current news stories.',
					recorder_id: 154,
					recorder_written: 'timothy holt',
					subratings:{
						perceptual: {
							rating: 9, 
							description: 'because media is such a big big part of our lives i think this idea is worth definelty worht exploring.  Once a trusted system of experts are in place, reposte could affect how the media does report.  This project seems to be very well thought out.'
						}, 
						technical: {
							rating: 9, 
							description: 'I had a hard time using some of the controls on the bookmarklet.  It did seem like your project was technically very difficult, and there were no bugs to speak of.  I think the reposte website could be redesigned to become more appealing.  My guess is that your more concerned with the navagation aspect of it.'
						}  
					}
				},
				'51' : {	id: 51,
					artifact_id: 23,
					artifact_type: 'release',
					rating: 7.50,
					hr_link: 'per_mccormicksara02_art_re:poste01_v01.0',
					date: '2006-05-04 00:00:00',
					description: 'A site and bookmarklet to be used by academics for adding comments to online news stories',
					recorder_id: 167,
					recorder_written: 'Sara McCormick',
					subratings:{
						perceptual: {
							rating: 6, 
							description: 'The bookmarklet itself has come along way, but the site could use a little more design work.  Color choices come across as a little bland for my taste.'
						}, 
						technical: {
							rating: 9, 
							description: 'Technically the site and bookmarklet run smoothly.  I know a lot of work went into this aspect of the project and most bugs seem to have been worked out.'
						}  
					}
				},
				'50' : {	id: 50,
					artifact_id: 23,
					artifact_type: 'release',
					rating: 7.00,
					hr_link: 'per_marquisian01_art_re:poste01_v01.0',
					date: '2006-05-04 00:00:00',
					description: 'A relatively simple site and a bookmarklet with a clean and iconic interface.  Both are used for accessing and posting commentary on news articles.',
					recorder_id: 191,
					recorder_written: 'Ian Marquis',
					subratings:{
						perceptual: {
							rating: 6, 
							description: 'It&#039;s a little plain and bland.  The interface and design is clean, but doesn&#039;t really feel polished.  Still, well made.'
						}, 
						technical: {
							rating: 8, 
							description: 'I do not know much about site coding and PHP.  I do not pretend to know these things.  Having said that, this project works quite nicely and uses coding schemes I do not fully understand.  There are a few little bugs, but overall very well made.'
						}  
					}
				},
				'923' : {	id: 923,
					artifact_id: 64,
					artifact_type: 'approach',
					rating: 7.67,
					hr_link: 'per_vaughanchristopher01_art_re:poste01_v01',
					date: '2005-12-07 00:00:00',
					description: 'A grading system for news as to how intellectually helpful it is.',
					recorder_id: 188,
					recorder_written: 'Christopher Vaughan',
					subratings:{
						conceptual: {
							rating: 6, 
							description: 'I think it&#039;s a good concept but it&#039;s too complex to me.  Why just academic people?  I&#039;d like to see it a little more free than what it is.'
						} , 
						perceptual: {
							rating: 8, 
							description: 'You&#039;ve given it a lot of thought on how it could influence news.'
						} , 
						technical: {
							rating: 9, 
							description: 'Looks like you will have a lot of database work cut out for you.'
						}  
					}
				},
				'947' : {	id: 947,
					artifact_id: 64,
					artifact_type: 'approach',
					rating: 8.33,
					hr_link: 'per_marquisian01_art_re:poste01_v01',
					date: '2005-12-08 00:00:00',
					description: 'This is a very attractive website describing and demonstrating the Re:Poste software.',
					recorder_id: 191,
					recorder_written: 'Ian Marquis',
					subratings:{
						conceptual: {
							rating: 7, 
							description: 'It&#039;s not exactly a completely new idea, but the way in which you want to implement it IS pretty creative.  '
						} , 
						perceptual: {
							rating: 10, 
							description: 'The approach is beautiful and very professional.  Definitely a convincing endorsement of the concept.'
						} , 
						technical: {
							rating: 8, 
							description: 'You really seem to have your stuff together here.  I have no doubt you&#039;ll be able to make this work, based on what I&#039;ve seen.  The approach site is also very well done.'
						}  
					}
				},	
				'986' : {	id: 986,
					artifact_id: 64,
					artifact_type: 'approach',
					rating: 8.33,
					hr_link: 'per_webstermichael01_art_re:poste01_v01',
					date: '2005-12-09 00:00:00',
					description: 'a site going over his proposed project &quot;re-post,&quot; which is news related',
					recorder_id: 199,
					recorder_written: 'Michael Webster',
					subratings:{
						conceptual: {
							rating: 7, 
							description: 'It is a cool concept but it seems like everyone is dealing with the news issues lately.  This may be an interesting suggestion except that it still puts &quot;experts&quot; in charge.  It is good that they know what the are talking about, but do all people want to hear more from the experts, or do they want to have a voice themselves as well?  That said...This project seems like it is going to be pretty popular because it definitely is a hot topic.  '
						} , 
						perceptual: {
							rating: 9, 
							description: 'Ditto to above.'
						} , 
						technical: {
							rating: 9, 
							description: 'Awesome site. Runs real well.  '
						}  
					}
				}			
			}
}