//art_project_array demo

art_project_data = {
	project: {
		id:				'1',
		hr_id:			'pro_art_re:poste01',
		title:			'Re:Poste',
		intent_num:		'1',
		approach_num:	'2',
		release_num:	'1',
		last_modified:	'20060501',
		basis:			'7',
		thumbnail:		'',
		ratings:{
			overall:	'9',
			perceptual:	'9',
			conceptual:	'9',
			technical:	'9'
		},
		subjects:{
			'027498':	'community', 
			'054073':	'news'
		},
		contributors:{
			'0000037':	'John Bell'
		},
		behaviors:{
			contained:	true
		}
	},
	intents: {
		'0000001':{
			hr_id:			'art_re:poste01',
			date:			'20051130',
			description:	'Re:Poste is intended to allow academic review of mass media stories. It will accomplish this by providing a trust-based network of academics who can add comments to a story by means of a bookmarklet. Users can then access these comments via another bookmarklet. Re:Poste is intended to allow academic review of mass media stories. It will accomplish this by providing a trust-based network of academics who can add comments to a story by means of a bookmarklet. Users can then access these comments via another bookmarklet.',
			uri_view:		'http://www.umit.maine.edu/~john.bell/reposte/',
			ratings: {
				overall:	'9',
				conceptual:	'9'
			},
			contributors:{
				'0000037':	'John Bell',
				'0000237':	'Jon Ippolito',
				'0003037':	'Kristen Murphy',
				'0001037':	'Rita Heimes'
			},
			requests:		'Much help needed.'
		}
	},
	approaches: {
		'00008796':{
			hr_id:			'art_re:poste01_v01',
			intent_id:		'00000001',
			date:			'20051216',
			description:	'An approach',
			uri_view:		'http://www.umit.maine.edu/~john.bell/reposte/',
			uri_source:		'http://www.umit.maine.edu/~john.bell/reposte/',
			type:			'parti',
			ratings:{
				overall:	'9',
				conceptual:	'9',
				technical:	'9',
				perceptual:	'9'
			},
			contributors:{
				'0000037':	'John Bell'
			},
			requests:		''
		}
	},
	releases:{
		'00648793':{
			hr_id:			'art_re:poste01_v01.0',
			intent_id:		'00000001',
			approach_id:	'00008796',
			date:			'20060501',
			description:	'A release',
			uri_view:		'http://www.reposte.org',
			uri_source:		'',
			ratings:{
				overall:	'9',
				perceptual:	'9',
				technical:	'9'
			},
			contributors:{
				'0000037':	'John Bell'			
			},
			requests:		''
		}
	},
	reviews:{
		'04687319':{
			author:			'Jon Ippolito',
			artifact:		'0000001',
			date:			'20060620',
			type:			'intent',
			description:	'Re:Poste is a project',
			overall:		'9',
			subratings:{
				perceptual:{
					rating:	'9',
					description:	'Perceptually good'
				},
				technical:{
					rating: '9',
					description:	'Technically good'
				}
			}
		},
		'02687319':{
			author:			'Joline Blais',
			artifact:		'0000001',
			date:			'20060620',
			type:			'intent',
			description:	'Re:Poste is an idea',
			overall:		'6',
			subratings:{
				perceptual:{
					rating:	'9',
					description:	'Perceptually good'
				},
				technical:{
					rating: '9',
					description:	'Technically good'
				}
			}
		},
		'02687519':{
			author:			'Joline Blais',
			artifact:		'00008796',
			date:			'20060620',
			type:			'approach',
			description:	'Re:Poste is an approach',
			overall:		'6',
			subratings:{
				perceptual:{
					rating:	'9',
					description:	'Perceptually good'
				},
				technical:{
					rating: '9',
					description:	'Technically good'
				}
			}
		}			
	}
}