<?PHP
//Recreates the hr_links in the project_artifact table
//Include init files
require_once('../pool_init.php');
require_once('smarty_init.php');
require_once('db_init.php');
require_once('person.class.php');
require_once('pool_project.class.php');
require_once('pool_intent.class.php');
require_once('pool_approach.class.php');
require_once('pool_release.class.php');
require_once('review.class.php');

if(Pool_Person::cookie_auth() != POOL_LEVEL_ADMIN){
	echo 'You do not have sufficient rights to run this script.  Log in to the Pool as an admin.';
	die();	
}
$q = 'SELECT * FROM `project_artifact`';
$result = $data->getAll($q, array());

foreach($result as $record){
	$q = "SELECT `hr_id` FROM `$record[artifact_type]` WHERE `id` = ?";
	$artifact_hr_id = $data->getOne($q, array($record['artifact_id']));
	
	$q = 'SELECT `hr_id` FROM `project` WHERE `id` = ?';
	$project_hr_id = $data->getOne($q, array($record['project_id']));
	
	$hr_link = $project_hr_id.'_'.$artifact_hr_id;
	
	$q = 'UPDATE `project_artifact` SET `hr_link` = ? WHERE `project_id` = ? AND `artifact_id` = ? AND `artifact_type` = ?';
	$data->query($q, array($hr_link, $record['project_id'], $record['artifact_id'], $record['artifact_type']));

	print $hr_link."\n";
	ob_flush();
	flush();
}

?>