<?PHP
//updates the js_cache of ALL reviews
//Include init files
require_once('../pool_init.php');
require_once('smarty_init.php');
require_once('db_init.php');
require_once('person.class.php');
require_once('review.class.php');
require_once('art_project.class.php');
require_once('pool_intent.class.php');
require_once('pool_approach.class.php');
require_once('pool_release.class.php');
require_once('pool_project.class.php');
require_once('attribution.class.php');
require_once('pool_reference.class.php');

if(Pool_Person::cookie_auth() < POOL_LEVEL_ADMIN){
	echo 'You do not have sufficient rights to run this script.  Log in to the Pool as an admin.';
	die();	
}
$q = 'SELECT `id` FROM `reference`';
$result = $data->getAll($q, array());

foreach($result as $artifact){
	$oArtifact = new Pool_Reference($artifact['id']);
	//$hr_id = $oArtifact->new_hr_id('artreference', $oArtifact->title);
	//$data->query('UPDATE `reference` SET `hr_id` = ? WHERE `id` = ?', array($hr_id, $oArtifact->id));
	$oArtifact->set_rating_and_basis();
	$oArtifact->reload_all();
	$oArtifact->save_js();
	$oArtifact->save_js_short();
	print $oArtifact->hr_id."\n";
	flush();
}

?>