<?PHP
//Signup form .1
require_once('../pool_init.php');
require_once('db_init.php');
require_once('smarty_init.php');
require_once('person.class.php');
require_once('recaptchalib.php');

$error = false;

if(isset($_POST['submit'])){
	for($i = 1; $i<6; $i++){
		$field_name = 'f'.$i;
		if(!isset($_POST[$field_name]))	$error = 'Required Field Not Set.' ;	
	}
	if($_POST['f5'] !== $_POST['f4']) $error = 'Password fields did not match.';
	
	//Oh dear...
	$email_validation = "[a-z0-9,!#\$%&'\*\+/=\?\^_`\{\|}~-]+(\.[a-z0-9,!#\$%&'\*\+/=\?\^_`\{\|}~-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*\.([a-z]{2,})$";
	if(!eregi($email_validation, $_POST['f3'])) $error = 'Invalid Email Address.';
	
	$resp = recaptcha_check_answer(RECAPTCHA_PRIVATE_KEY,
	                                $_SERVER["REMOTE_ADDR"],
	                                $_POST["recaptcha_challenge_field"],
	                                $_POST["recaptcha_response_field"]);
	if (!$resp->is_valid) {
	  $error = "The reCAPTCHA wasn't entered correctly. Please try again.";
	}

	if(!$error){
		$allowed = "/[^a-z0-9]/i";
		$first = preg_replace($allowed,"",$_POST['f1']);
		$last = preg_replace($allowed,"",$_POST['f2']);
		$name = $first.' '.$last;
		$args = array('name'=>$name, 'email'=>$_POST['f3'], 'password'=>$_POST['f4'], 'permissions'=>1, 'recorder'=>4);
		$new_user = new Pool_Person($args);
		$new_user->send_info($_POST['f4']);
		$smarty->assign('email', $_POST['f3']);
		$smarty->display('signup-success.tpl');
	} else {
		$smarty->assign('recaptcha', recaptcha_get_html(RECAPTCHA_PUBLIC_KEY));
		$smarty->assign('error', $error);
		$smarty->display('signup.tpl');
	}
} else {
	$smarty->assign('recaptcha', recaptcha_get_html(RECAPTCHA_PUBLIC_KEY));
	$smarty->display('signup.tpl');
}
?>