{	
			project:{
				pool_type: '<{$project->pool_type}>',
				id: '<{$project->id}>',
				hr_id: '<{$project->hr_id|escape:'javascript'}>',
				title: '<{$project->title|escape:'javascript'}>',
				intent_num: '<{$project->intent_num}>',
				approach_num: '<{$project->approach_num}>',
				release_num: '<{$project->release_num}>',
				last_modified: '<{$project->last_modified}>',
				rating: '<{$project->rating}>',
				basis: '<{$project->basis}>',
				thumbnail: '<{$project->thumb_id}>',
				subratings:{
					<{foreach name='subratings_loop' from=$project->subratings item=subrating key=subrating_name}><{$subrating_name}>: {
						rating: <{$subrating.rating}>,
						basis: <{$subrating.basis}>
					} <{if $smarty.foreach.subratings_loop.last == false}>,<{/if}>
				<{/foreach}>},
				subjects:{<{foreach name='subjects_loop' from=$project->subjects item=subject key=subject_name}>'<{$subject_name}>': '<{$subject}>'<{if $smarty.foreach.subjects_loop.last == false}>,<{/if}><{/foreach}>},
				contributors:{
					<{foreach name='contributors_loop' from=$project->contributors item=contributor key=contributor_id}>'<{$contributor.id}>': {
						written: '<{$contributor.written|escape:'javascript'}>',
						roles: '<{$contributor.roles}>',
						versions: '<{$contributor.versions}>'
					} <{if $smarty.foreach.contributors_loop.last == false}>,<{/if}><{/foreach}>
				},
				relations:{
					<{foreach name='relations_loop' from=$project->relationships item=relationship key=relationship_id}>'<{$relationship.id}>': {
						relationship: '<{$relationship.relationship|escape:'javascript'}>',
						subject: '<{$relationship.subject_id}>',
						subject_type: '<{$relationship.subject_type}>',
						subject_title: '<{$relationship.subject_title}>',
						predicate: '<{$relationship.predicate_id}>',
						predicate_type: '<{$relationship.predicate_type}>',
						predicate_title: '<{$relationship.predicate_title}>',
						description: '<{$relationship.description|escape:'javascript'}>',
						recorder_id: '<{$relationship.recorder_id}>',
						recorder_written: '<{$relationship.recorder_written|escape:'javascript'}>'
					} <{if $smarty.foreach.relations_loop.last == false}>,<{/if}><{/foreach}>
				}
			},
			intents:{
				<{foreach name='intents_loop' from=$project->intent item=intent key=intent_id}>
				<{$intent->js_cache}><{if $smarty.foreach.intents_loop.last == false}>,<{/if}><{/foreach}>
			},
			approaches:{
				<{foreach name='approaches_loop' from=$project->approach item=approach key=approach_id}>
				<{$approach->js_cache}><{if $smarty.foreach.approaches_loop.last == false}>,<{/if}><{/foreach}>
			},
			releases:{
				<{foreach name='releases_loop' from=$project->release item=release key=release_id}>
				<{$release->js_cache}><{if $smarty.foreach.releases_loop.last == false}>,<{/if}><{/foreach}>			
			},
			reviews:{
				<{foreach name='reviews_loop' from=$project->reviews item=review key=review_id}>
				<{$review->js_cache}><{if $smarty.foreach.reviews_loop.last == false}>,<{/if}><{/foreach}>			
			}
}