relationData = {	
			self:{
				poolType: '<{$self.type}>',
				eleId: '<{$self.id}>',
				projectTitle: '<{$self.title|escape:'javascript'}>',
				thumb_id: '<{$self.thumb_id}>',
				ancestorIdArr: [<{foreach name='ancestor_loop' from=$self.parents item=parent}>'<{$parent}>'<{if $smarty.foreach.ancestor_loop.last == false}>,<{/if}><{/foreach}>],
				descendentIdArr: [<{foreach name='descendent_loop' from=$self.children item=child}>'<{$child}>'<{if $smarty.foreach.descendent_loop.last == false}>,<{/if}><{/foreach}>],
				generationsFromSelf: 0
			}, 
			parents:{
					<{foreach name='parents_loop' from=$parents item=parent}>'<{$parent.type}>_<{$parent.id}>': {
					poolType: '<{$parent.type}>',
					eleId: '<{$parent.id}>',
					projectTitle: '<{$parent.title|escape:'javascript'}>',
					thumb_id: '<{$parent.thumb_id}>',
					ancestorIdArr: [<{foreach name='parent_ancestor_loop' from=$parent.parents item=parent_parent}>'<{$parent_parent}>'<{if $smarty.foreach.parent_ancestor_loop.last == false}>,<{/if}><{/foreach}>],
					descendentIdArr: [<{foreach name='parent_descendent_loop' from=$parent.children item=parent_child}>'<{$parent_child}>'<{if $smarty.foreach.parent_descendent_loop.last == false}>,<{/if}><{/foreach}>],
					generationsFromSelf: -1
				} <{if $smarty.foreach.parents_loop.last == false}>,<{/if}>				
				<{/foreach}>
			},
			children:{
					<{foreach name='children_loop' from=$children item=child}>'<{$child.type}>_<{$child.id}>': {
					poolType: '<{$child.type}>',
					eleId: '<{$child.id}>',
					projectTitle: '<{$child.title|escape:'javascript'}>',
					thumb_id: '<{$child.thumb_id}>',
					ancestorIdArr: [<{foreach name='child_ancestor_loop' from=$child.parents item=child_parent}>'<{$child_parent}>'<{if $smarty.foreach.child_ancestor_loop.last == false}>,<{/if}><{/foreach}>],
					descendentIdArr: [<{foreach name='child_descendent_loop' from=$child.children item=child_child}>'<{$child_child}>'<{if $smarty.foreach.child_descendent_loop.last == false}>,<{/if}><{/foreach}>],
					generationsFromSelf: 1
				} <{if $smarty.foreach.children_loop.last == false}>,<{/if}>
				<{/foreach}>
			},
			grandparents:{
					<{foreach name='grandparents_loop' from=$grandparents item=grandparent}>'<{$grandparent.type}>_<{$grandparent.id}>': {
					poolType: '<{$grandparent.type}>',
					eleId: '<{$grandparent.id}>',
					projectTitle: '<{$grandparent.title|escape:'javascript'}>',
					thumb_id: '<{$grandparent.thumb_id}>',
					ancestorIdArr: [<{foreach name='grandparent_ancestor_loop' from=$grandparent.parents item=grandparent_parent}>'<{$grandparent_parent}>'<{if $smarty.foreach.grandparent_ancestor_loop.last == false}>,<{/if}><{/foreach}>],
					descendentIdArr: [<{foreach name='grandparent_descendent_loop' from=$grandparent.children item=grandparent_child}>'<{$grandparent_child}>'<{if $smarty.foreach.grandparent_descendent_loop.last == false}>,<{/if}><{/foreach}>],
					generationsFromSelf: -2
				} <{if $smarty.foreach.grandparents_loop.last == false}>,<{/if}>				
				<{/foreach}>
			},
			grandchildren:{
					<{foreach name='grandchildren_loop' from=$grandchildren item=grandchild}>'<{$grandchild.type}>_<{$grandchild.id}>': {
					poolType: '<{$grandchild.type}>',
					eleId: '<{$grandchild.id}>',
					projectTitle: '<{$grandchild.title|escape:'javascript'}>',
					thumb_id: '<{$grandchild.thumb_id}>',
					ancestorIdArr: [<{foreach name='grandchild_ancestor_loop' from=$grandchild.parents item=grandchild_parent}>'<{$grandchild_parent}>'<{if $smarty.foreach.grandchild_ancestor_loop.last == false}>,<{/if}><{/foreach}>],
					descendentIdArr: [<{foreach name='grandchild_descendent_loop' from=$grandchild.children item=grandchild_child}>'<{$grandchild_child}>'<{if $smarty.foreach.grandchild_descendent_loop.last == false}>,<{/if}><{/foreach}>],
					generationsFromSelf: 2
				} <{if $smarty.foreach.grandchildren_loop.last == false}>,<{/if}>				
				<{/foreach}>
			}				
}