<?PHP
// db_init.php .1

// Basic Pool settings
require_once('pool_init.php');

// Config settings
require_once('DB.php');				//PEAR DB class

/** Create DB object **/
$data = DB::connect('mysql://dbuser:dbpass@localhost/dbname');
if(DB::isError($data)) die('Database connection error: '.$data->getMessage());
$data->setFetchMode(DB_FETCHMODE_ASSOC);

//DB accessory function:  implode_quotes
//Takes an array, quote type, and delimiter, returns a string with the array imploded and each element quoted
function implode_quotes($arr, $quote, $delimiter){
	$quotes_arr = array();
	foreach($arr as $item) $quotes_arr = $quote.$item.$quote;
	return implode($delimiter, $quotes_arr);
}
?>