<?php /* Smarty version 2.6.12, created on 2006-10-17 17:50:05
         compiled from panels/art_input_intent_behaviors.tpl */ ?>
<div>Behaviors
	<div class='lm10'>
		<span class='floated fixed85'><input type='checkbox' name='behaviors' value='contained'>Contained</input></span>
		<span class='floated fixed85'><input type='checkbox' name='behaviors' value='performed'>Performed</input></span>
		<span class='floated fixed85'><input type='checkbox' name='behaviors' value='duplicated'>Duplicated</input></span>
		<span class='floated'><input type='checkbox' name='behaviors' value='reproduced'>Reproduced</input></span>
		<br clear='both' />
		<span class='floated fixed85'><input type='checkbox' name='behaviors' value='installed'>Installed</input></span>
		<span class='floated fixed85'><input type='checkbox' name='behaviors' value='interactive'>Interactive</input></span>
		<span class='floated fixed85'><input type='checkbox' name='behaviors' value='encoded'>Encoded</input></span>
		<span class='floated'><input type='checkbox' name='behaviors' value='networked'>Networked</input></span>
	</div>
	<br /><br />
	<div class='smallText'><span class='bolded'>Contained</span>: This behavior includes paintings, sculptures, and other artworks 'contained' within their materials or a protective framework that encloses or supports the artistic material to be viewed.</div><br />
	<div class='smallText'><span class='bolded'>Performed</span>: This behavior includes not only dance, music, theater, and performance art, but also works for which the process is as important as the product.</div><br />
	<div class='smallText'><span class='bolded'>Duplicated</span>: This behavior implies that the work can be copied without loss of quality. Most digital media obey this behavior, as do works comprised of industrially fabricated or mass-produced components.</div><br />
	<div class='smallText'><span class='bolded'>Reproduced</span>: This behavior applies if any copy of the original master of the artwork results in a loss of quality. Such media include analog photography, film, audio, and video.</div><br />
	<div class='smallText'><span class='bolded'>Installed</span>: This behavior applies to artwork whose physical installation is more complex than simply hanging it on a nail. For example, installed works may scale to fill a given space or make use of unusual placement such as the exterior of a building or a public plaza.</div><br />
	<div class='smallText'><span class='bolded'>Interactive</span>: This behavior is most commonly applied to electronic media such as computer-driven installations and Web sites, but interactivity also describes installations that allow visitors to manipulate or take home components of a physical artwork.</div><br />
	<div class='smallText'><span class='bolded'>Encoded</span>: This behavior implies that part or all of it is written in computer code or some other language that requires interpretation (eg. dance notation).</div><br />
	<div class='smallText'><span class='bolded'>Networked</span>: Works with this behavior are designed to be viewed on an electronic communication system, whether a Local Area Network (LAN) or the Internet.</div><br />
</div>