<?PHP
//Login Handler .1
//Handles the login box and then returns the user to the previous page
require_once('../pool_init.php');
require_once('db_init.php');
require_once('person.class.php');

//First see if this is a logout, and if so, do it and send them home.
if(isset($_GET['logout'])){
	Pool_Person::clear_cookie();
	header('Location: '.POOL_HOME_URL);	
}

//Check to see if all post vars are set
if(!isset($_POST['username']) || !isset($_POST['password']) || !isset($_POST['referrer'])){
 	require_once('smarty_init.php');
 	$smarty->assign('error', 'Required field not set');
 	$smarty->display('login_error.tpl');
 	return;
}

//Authenticate the user
//Since this is coming from a login for, we have to add 'per_' to complete the hr_id
if(Pool_Person::db_auth('per_'.$_POST['username'], $_POST['password'])){
	header("Location: $_POST[referrer]");
} else {
 	require_once('smarty_init.php');
 	$smarty->assign('error', 'Login Failed.  Please try again.');
 	$smarty->display('login_error.tpl');	
}
?>