<?PHP
//updates the js_cache of ALL reviews
//Include init files
require_once('../pool_init.php');
require_once('smarty_init.php');
require_once('db_init.php');
require_once('person.class.php');
require_once('review.class.php');
require_once('art_project.class.php');
require_once('pool_intent.class.php');
require_once('pool_approach.class.php');
require_once('pool_release.class.php');
require_once('pool_project.class.php');
require_once('art_project.class.php');
require_once('code_project.class.php');

if(Pool_Person::cookie_auth() < POOL_LEVEL_ADMIN){
	echo 'You do not have sufficient rights to run this script.  Log in to the Pool as an admin.';
	die();	
}

set_time_limit(300);
if(isset($_GET['pool'])) $type = $_GET['pool'];
else $type = 'art';
$q = 'SELECT `id` FROM `project` WHERE `pool_type` = ?';
$result = $data->getAll($q, array($type));

foreach($result as $artifact){
	$oName = ucfirst($type).'_Project';
	$oArtifact = new $oName($artifact['id']);
	$oArtifact->load_all();
	$oArtifact->save_js();
	$oArtifact->save_js_short();
	print $oArtifact->hr_id."\n";
	flush();
}

print "Done";

?>