<html>
<!-- Pool Relations graphing prototype -->
<!-- v3.9 by Jon, modified to make dynamic. Not tested in IE. -->
<!-- To do: auto-sort column contents by...something. test IE, order and de-dupe fish in a given column. -->
<head>
<title>Pool Relationship Mapper</title>
<style>
body {
	text-align:  center ;
	min-width:  80% ;
	background-color: darkslategrey ;
	color: rgb(153, 202, 153) ;
} 
a {
	color: darkslategrey ;
	text-decoration: none ;
}   
div {
        font-family:  verdana ;
		font-size:  12px ;
}
.legend {
	position:  relative ;
	margin: 5px ;
	padding:  1em ;
}
	.label-earlier,
	.label-later {
		position: absolute ;
		width: 30% ;
		bottom: 0px ;
	}
	.label-earlier {
		left: 10% ;
	}
	.label-later {
		right: 10% ;
	}
#tank {
	position:  relative ;
	margin-left: auto ;
	margin-right: auto ;
	width:  90% ;
	height:  80% ;
	text-align:  center ;
}
	.column {
	     position: relative ;
	     float: left ;
	     height: 100% ;
	     text-align: center ;
	}
		.fishbowl {
			position:  absolute ;
			top: 50% ;
			left: 50% ;
			margin-top: -20px ;
			margin-left: -100px ;
		}
			.relation-fish { /* Margin-bottom and height  set dynamically. */
				position: relative ;
				margin-left: auto ;
				margin-right: auto ;
				width: 180px ; /*Was 200px ;*/
				text-align: center ;
				padding: .2em ;
				border-width: 1px 15px 1px 15px ;
				border-style: solid ;
			}
			.art-pool {
				color: darkslategrey ;
				border-color: darkslategrey ;
			}
				.thumbnail {
					float: left ;
					width: 50px ;
					height: 50px ;
				}
					.thumbnail img {
						width: 100% ;
					}
				.project-title {
					margin-top: .6em ;
				}
				.add-ancestor,
				.subtract-ancestor,
				.add-descendent,
				.subtract-descendent {
					position: absolute ;
					font-size: 16px ;
					top: 16px ;
					left: -13px ;
					color: darkslategray ; /*paleturquoise ;*/
				}
				.add-descendent,
				.subtract-descendent {
					left: 185px ;
				}
				.subtract-ancestor,
				.subtract-descendent {
					font-size: 20px ;
					display: none ;
				}
					.add-ancestor a,
					.subtract-ancestor a,
					.add-descendent a,
					.subtract-descendent a {
						color: darkslategrey !important ;
					}
					.add-ancestor a:hover,
					.subtract-ancestor a:hover,
					.add-descendent a:hover,
					.subtract-descendent a:hover {
						color: paleturquoise ;
						background-color: darkslategrey ;
					}
				.graph-this-button {
					position: absolute ;
					font-size: 9px ;
					width: 100% ;
					text-align: center ;
				}
					.graph-this-button a:hover {
						color: paleturquoise ;
						background-color: darkslategrey ;
					}
</style>
<script type="text/javascript" language="JavaScript" src="js/sniff.js"></script>
<script type="text/javascript" language="JavaScript" src="js/debug.js"></script>


<!-- START JOHN'S BLATANT PANEL HACK -->
	<script language="javascript" src="js/sniff.js"></script>
	<script language="javascript" src="js/geometry.js"></script>
	<script language="javascript" src="js/divplus.js"></script>
	<script language="javascript" src="js/divplustypes.js"></script>

	<script language="javascript" src="js/divplusdragger.js"></script>
	<script language="javascript" src="js/menubar.js"></script>
	<script language="javascript" src="js/menubarArtInit.js"></script>
	<script language="javascript" src="js/poolPanel.js"></script>
	<script language="javascript" src="js/artPanelPages.js.php"></script>
	<script language="javascript" src="js/ajaxShell.js"></script>

	<script language="javascript" src="js/basin.js"></script>
	<script language="javascript" src="js/fish.js"></script>
	<script language="javascript" src="js/personArray.js.php"></script>
	<script language="javascript" src="js/subject_array_short.js.php"></script>
	<script language="javascript" src="js/art_pool_array.js.php"></script>
	<script language="javascript" src="js/selector.js"></script>

	<script language="javascript" src="js/selectorArtInit.js"></script>
	<script language="javascript" src="js/artPoolInit.js"></script>
	<link rel="stylesheet" href="css/artPanel.css" type="text/css" />
	<link rel="stylesheet" href="css/poolPanel.css" type="text/css" />
	<link rel="stylesheet" href="css/artPool.css" type="text/css" />
	<link rel="stylesheet" href="css/genericPool.css" type="text/css" />

	<script language="javascript">
	function relationHackInit(){
		siteBaseDir = '/'
	}
	</script>
	<style>
		.poolPanel, .personPanel{
			text-align: left;
			min-width: auto;
			font-size: 12px;
		}
		.open-panel-button-hover {
			text-decoration: underline;
			cursor: pointer;
			color: paleturquoise ;
			background-color: darkslategrey ;
		}
	</style>
	
<!-- STOP JOHN'S BLATANT PANEL HACK -->

<!-- debugging script -->
<script>
	openDebugWindow( { openerWindow: this, debugIsOn: false , purgeOldReports: true }) ;
</script>
<?PHP
	echo "<script language='javascript' src='js/relation_map.js.php?id=".$_GET['id']."&pool_type=".$_GET['pool_type']."'></script>";
?>
<script>
/* _______________ Roadmap. _______________
The managers are at the object level.
The fishBowl is at the element level.
*/
/* _______________ Global variables. _______________*/
var fishHeight = "50px" ;
var fishMarginBottom = "20px" ;
/* _______________ Colors for borders. _______________*/
// Show ancestral relations.
// I'm trying to give arrays an extra property called color.
// Make sure hue palettes are inherited from one generation to next. Pattern is hues[firstGenerationFromSelf][secondGenerationFromSelf].color.
hues = new Object() ;
hues.color = "darkseagreen" ;
hues.parents = new Array() ;

hues.parents[0] = new Object() ;
hues.parents[0].color = "plum" ;
hues.parents[0].grandparents = new Array() ;
hues.parents[0].grandparents[0] = new Object() ;
hues.parents[0].grandparents[0].color = "mediumslateblue" ;
hues.parents[0].grandparents[1] = new Object() ;
hues.parents[0].grandparents[1].color = "orchid" ;
hues.parents[0].grandparents[2] = new Object() ;
hues.parents[0].grandparents[2].color = "mediumpurple" ;

hues.parents[1] = new Object() ;
hues.parents[1].color = "bisque" ;
hues.parents[1].grandparents = new Array() ;
hues.parents[1].grandparents[0] = new Object() ;
hues.parents[1].grandparents[0].color = "sandybrown" ;
hues.parents[1].grandparents[1] = new Object() ;
hues.parents[1].grandparents[1].color = "linen" ;
hues.parents[1].grandparents[2] = new Object() ;
hues.parents[1].grandparents[2].color = "cornsilk" ;

hues.parents[2] = new Object() ;
hues.parents[2].color = "peru" ;
hues.parents[2].grandparents = new Array() ;
hues.parents[2].grandparents[0] = new Object() ;
hues.parents[2].grandparents[0].color = "khaki" ;
hues.parents[2].grandparents[1] = new Object() ;
hues.parents[2].grandparents[1].color = "darkkhaki" ;
hues.parents[2].grandparents[2] = new Object() ;
hues.parents[2].grandparents[2].color = "gold" ;

hues.parents[3] = new Object() ;
hues.parents[3].color = "greenyellow" ;
hues.parents[3].grandparents = new Array() ;
hues.parents[3].grandparents[0] = new Object() ;
hues.parents[3].grandparents[0].color = "lawngreen" ;
hues.parents[3].grandparents[1] = new Object() ;
hues.parents[3].grandparents[1].color = "lime" ;
hues.parents[3].grandparents[2] = new Object() ;
hues.parents[3].grandparents[2].color = "chartreuse" ;

hues.children = new Array() ;

hues.children[0] = new Object() ;
hues.children[0].color = "plum" ;
hues.children[0].grandchildren = new Array() ;
hues.children[0].grandchildren[0] = new Object() ;
hues.children[0].grandchildren[0].color = "mediumslateblue" ;
hues.children[0].grandchildren[1] = new Object() ;
hues.children[0].grandchildren[1].color = "orchid" ;
hues.children[0].grandchildren[2] = new Object() ;
hues.children[0].grandchildren[2].color = "mediumpurple" ;

hues.children[1] = new Object() ;
hues.children[1].color = "bisque" ;
hues.children[1].grandchildren = new Array() ;
hues.children[1].grandchildren[0] = new Object() ;
hues.children[1].grandchildren[0].color = "sandybrown" ;
hues.children[1].grandchildren[1] = new Object() ;
hues.children[1].grandchildren[1].color = "linen" ;
hues.children[1].grandchildren[2] = new Object() ;
hues.children[1].grandchildren[2].color = "cornsilk" ;

hues.children[2] = new Object() ;
hues.children[2].color = "peru" ;
hues.children[2].grandchildren = new Array() ;
hues.children[2].grandchildren[0] = new Object() ;
hues.children[2].grandchildren[0].color = "khaki" ;
hues.children[2].grandchildren[1] = new Object() ;
hues.children[2].grandchildren[1].color = "darkkhaki" ;
hues.children[2].grandchildren[2] = new Object() ;
hues.children[2].grandchildren[2].color = "gold" ;

hues.children[3] = new Object() ;
hues.children[3].color = "greenyellow" ;
hues.children[3].grandchildren = new Array() ;
hues.children[3].grandchildren[0] = new Object() ;
hues.children[3].grandchildren[0].color = "lawngreen" ;
hues.children[3].grandchildren[1] = new Object() ;
hues.children[3].grandchildren[1].color = "lime" ;
hues.children[3].grandchildren[2] = new Object() ;
hues.children[3].grandchildren[2].color = "chartreuse" ;

// Initialize and keep track of how many ancestors have been added.
// Different from fishObjManager because tracks which parents the grandparents came from.
parentInt = -1 ;
grandparentIntArr = new Array() ;
for (var hueCounter=0; hueCounter < hues.parents.length; hueCounter++ ) {
	grandparentIntArr[hueCounter] = -1 ;
}
function nextParentInt() {
	parentInt = (parentInt + 1) % hues.parents.length ;
	return parentInt ;
}
function nextGrandparentInt(parentInt) {
// _parentInt =	parentInt ; debug("_parentInt") ;
//hues_parents_parentInt_grandparents_length =hues.parents[parentInt].grandparents.length ; debug("hues_parents_parentInt_grandparents_length") ;
	grandparentIntArr[parentInt] = (grandparentIntArr[parentInt] + 1) % hues.parents[parentInt].grandparents.length ;
	return grandparentIntArr[parentInt] ;
}
childInt = +1 ;
grandchildIntArr = new Array() ;
for (var hueCounter=0; hueCounter < hues.children.length; hueCounter++ ) {
	grandchildIntArr[hueCounter] = +1 ;
}
function nextChildInt() {
	childInt = (childInt + 1) % hues.children.length ;
	return childInt ;
}
function nextGrandchildInt(childInt) {
// _childInt =	childInt ; debug("_childInt") ;
//hues_children_childInt_grandchildren_length =hues.children[childInt].grandchildren.length ; debug("hues_children_childInt_grandchildren_length") ;
	grandchildIntArr[childInt] = (grandchildIntArr[childInt] + 1) % hues.children[childInt].grandchildren.length ;
	return grandchildIntArr[childInt] ;
}
/* _______________ Create columns. _______________*/
columnObjManager = new Array() ;
var percentAllColumnsUseOfTankInt = 100 ;
var percentEachColumnDoesNotUseInt = 2 ; /* DEBUG: IE jumps rows if this is too big. */
function ColumnObj( argObj ) { // 
	if (typeof argObj == "undefined") argObj = new Object() ;
	// Create column and add to manager.
	this.ele = document.createElement("div") ;
	this.ele.obj = this ;
	this.generationsFromSelf = (typeof argObj.generationsFromSelf == "undefined" )? 0 : argObj.generationsFromSelf ;
	// DEBUGGING: generationDefinedInColumnConstructor = this.generationsFromSelf ; debug("generationDefinedInColumnConstructor")
	this.ele.id = (typeof argObj.eleId == "undefined")? "column" + this.generationsFromSelf : argObj.eleId ; // Eg, "column-2".
	this.id = this.ele.id + "Obj" ;
	// Insert and style column based on generation.
	if (this.generationsFromSelf == -2) {
		document.getElementById("tank").insertBefore(this.ele,document.getElementById("tank").firstChild) ;	 
		var columnBackgroundColor = "rgb(0%, 80%, 80%)" ; // "darkcyan" ;
	}
	else if (this.generationsFromSelf == -1) {
		document.getElementById("tank").insertBefore(this.ele,document.getElementById("tank").firstChild) ;	 
		var columnBackgroundColor = "rgb(0%, 90%, 90%)" ; // "darkturquoise" ;
	}
	else if (this.generationsFromSelf == 0) {
		document.getElementById("tank").appendChild(this.ele) ;
		var columnBackgroundColor = "rgb(0%, 100%, 100%)" ; // aqua.
	}
	else if (this.generationsFromSelf == +1) {
		// There is no insertAfter method :(
		document.getElementById("tank").insertBefore(this.ele,document.getElementById("tank").lastChild) ;	 
		document.getElementById("tank").insertBefore(document.getElementById("tank").lastChild, this.ele) ;	 
		var columnBackgroundColor =  "rgb(60%, 100%, 100%)" ; // "aquamarine" ;
	}
	else if (this.generationsFromSelf == +2) {
		// There is no insertAfter method :(
		document.getElementById("tank").insertBefore(this.ele,document.getElementById("tank").lastChild) ;	 
		document.getElementById("tank").insertBefore(document.getElementById("tank").lastChild, this.ele) ;	 
		var columnBackgroundColor =  "rgb(80%, 100%, 100%)" ; // "paleturquoise" ;
	}
	columnObjManager.push(this) ;
	columnObjManager[columnObjManager.length-1].fishObjManager = new Array() ;
	// Add properties that don't change.
	this.ele.className = "column" ;
	// Add properties that do change.
	// UPGRADE: Add styles based on poolType.
	this.ele.style.backgroundColor = columnBackgroundColor ;
	// Create handles for future reference.
	columnObjManager[this.id] = this ; // this.id takes the form "column-2Obj".
	this.loaded = true ; // Necessary because array[id] definition persists even after that array element has been spliced out. Used in removeAncestors().
	this.indexInt = columnObjManager.length - 1 ; // DEPRECATED. Useless if you plan to splice fish out of the manager later (it's OK if you are only adding them).
	// Add a container to help center fish vertically inside this column.
	this.ele.fishbowlEle = document.createElement("div") ;
	this.ele.appendChild(this.ele.fishbowlEle) ;
	this.ele.fishbowlEle.className = "fishbowl" ;
	this.ele.fishbowlEle.style.height = fishHeight ; /* Must be assigned via JS to be read later. */
	this.ele.fishbowlEle.style.marginTop = -fishMarginBottom ; // Was -20px
	// Resize all columns to compensate for this addition.
	adjustColumns() ;
}
function adjustColumns() {
	//debug("'adjustColumns'")
// DEBUGGING: columnObjManager_length =	columnObjManager.length ; debug("columnObjManager_length") ;
	var newWidthInt = parseInt( percentAllColumnsUseOfTankInt / columnObjManager.length ) - percentEachColumnDoesNotUseInt ;
	// DEBUGGING: _newWidthInt =	newWidthInt ; debug("_newWidthInt", 2) ;
	var newMarginLeftInt = parseInt(  ( 100 - (newWidthInt*columnObjManager.length) ) / (columnObjManager.length + 1)  ) ;
	for (var columnCounter=0; columnCounter < columnObjManager.length; columnCounter++) {
	// DEBUGGING: 	columnObjManager_columnCounter_ele_id =		columnObjManager[columnCounter].ele.id ; debug("columnObjManager_columnCounter_ele_id") ;
		columnObjManager[columnCounter].ele.style.width = newWidthInt + "%" ;
		columnObjManager[columnCounter].ele.style.marginLeft = newMarginLeftInt + "%" ;
	}
}
/* _______________ Fill columns with fish. _______________*/
/* Deprecated? */
var percentAllFishesUseOfTankInt = 100 ;
var percentEachFishDoesNotUseInt = 2 ; /* DEBUG: IE jumps rows if this is too big. */
function Fish(argObj) { // argObj is required.
	// Create fish.
	debug("'Fish argObj'")
	for (prop in argObj) {
		_prop = prop ; debug("_prop", 2) ;
		_value = argObj[prop] ; debug("_value") ;
	}
	this.containerObj = argObj.containerObj ;
	this.ele = document.createElement("div") ;
	this.ele.obj = this ;
	this.fishbowlEle = this.containerObj.ele.fishbowlEle ;
	this.fishbowlEle.appendChild(this.ele) ;
	// UPGRADE: Add styles based on poolType:
	this.ele.className = "relation-fish art-pool" ;
	// Add properties that don't change.
	this.ele.style.height = fishHeight ;
	this.ele.style.marginBottom = fishMarginBottom ;
	// Add properties that do change.
	this.generationsFromSelf = argObj.generationsFromSelf ; /* self = 0, parent = -1, child = 1. */
	// debug("'As assigned in Fish'")
	// this_generationsFromSelf =	this.generationsFromSelf ; debug("this_generationsFromSelf") ;
	this.pool_type = argObj.poolType ;
	this.projectTitle = argObj.projectTitle ;
	this.projectId = argObj.projectId ;
	this.id = "art_" + argObj.eleId ;
	this.ele.id = argObj.eleId ;
	// Add thumbnail project images:
	// 1. Standalone version.
	/*
	this.ele.innerHTML = "<div class='thumbnail'><img src='thumbnails/" + argObj.thumb_standalone + "' /></div>";
	*/
	// 2. Dynamic version.
	if(!defined(argObj.thumb_id)) alert('no thumb!')
	if (argObj.thumb_id == "" || !defined(argObj.thumb_id)) {
		this.ele.innerHTML = "<div class='thumbnail'><img src='default-pool-icon.png' /></div>";
	}
	else {
		this.ele.innerHTML = "<div class='thumbnail'><img src='image.php?id=" + argObj.thumb_id + "' /></div>";
	}
	this.ele.innerHTML += "<div class='project-title'>" + argObj.projectTitle + "</div>" ;
	// Add new borders for future genealogy.
	switch (this.generationsFromSelf) {
		case 0:
			this.hue = "darkseagreen" ;
			// UPGRADE: Eliminate any redundent border assignments elsewhere. WAS this.descendentHue = "darkslategrey" ; 
			this.ele.style.borderLeftColor = this.hue ;
			this.ele.style.borderRightColor = this.hue ;
			break ;
		case -1:
			this.parentInt = argObj.parentInt ;
			this.descendentHue = "darkseagreen" ;
			this.hue = hues.parents[ this.parentInt ].color ;
			this.ele.style.borderLeftColor = this.hue ;
			this.ele.style.borderRightColor = this.descendentHue ;
			break ;
		case -2:
			this.parentInt = argObj.parentInt ;
			this.grandparentInt = argObj.grandparentInt ;
			this.descendentHue =  hues.parents[ this.parentInt ].color ;
			this.hue = hues.parents[ this.parentInt ].grandparents[ this.grandparentInt ].color ;
			this.ele.style.borderLeftColor = this.hue ;
			this.ele.style.borderRightColor = this.descendentHue ;
			break ;
		case 1:
			this.childInt = argObj.childInt ;
			this.ancestorHue = "darkseagreen" ;
			this.hue = hues.children[ this.childInt ].color ;
			this.ele.style.borderLeftColor = this.ancestorHue ;
			this.ele.style.borderRightColor = this.hue ;
			break ;
		case 2:
			this.childInt = argObj.childInt ;
			this.grandchildInt = argObj.grandchildInt ;
			this.ancestorHue =  hues.children[ this.childInt ].color ;
			this.hue = hues.children[ this.childInt ].grandchildren[ this.grandchildInt ].color ;
			this.ele.style.borderLeftColor = this.ancestorHue ;
			this.ele.style.borderRightColor = this.hue ;
			break ;
	}
	this.ele.style.backgroundColor = this.hue ; // Added for v2.7.
	// Add relations.
	this.ancestorIdArr = argObj.ancestorIdArr ;
	this.descendentIdArr = argObj.descendentIdArr ;
	// Add ancestor buttons if ancestors exist and this is not a descendent.
	if (argObj.ancestorIdArr.length != 0 && this.generationsFromSelf <= 0 ) {
		this.addAncestorButtonEle = document.createElement("div") ;
		this.ele.appendChild(this.addAncestorButtonEle) ;
		this.addAncestorButtonEle.className = "add-ancestor" ;
		this.subtractAncestorButtonEle = document.createElement("div") ;
		this.ele.appendChild(this.subtractAncestorButtonEle) ;
		this.subtractAncestorButtonEle.className = "subtract-ancestor" ;
		// Enable button behaviors, including display toggling between them.
		this.addAncestorButtonEle.otherButtonEle = this.subtractAncestorButtonEle ;
		this.subtractAncestorButtonEle.otherButtonEle = this.addAncestorButtonEle ;
		this.addAncestorButtonEle.innerHTML = "<a href='#' onclick='addAncestors(this.parentNode.parentNode.id); toggleButtonDisplay(this)'>+</a>" ;
		this.subtractAncestorButtonEle.innerHTML = "<a href='#' onclick='removeAncestors(this.parentNode.parentNode.id); toggleButtonDisplay(this)'>-</a>" ;
	}
	// Add descendent buttons if descendents exist and this is not an ancestor.
	if (argObj.descendentIdArr.length != 0 && this.generationsFromSelf >= 0 ) {
		this.addDescendentButtonEle = document.createElement("div") ;
		this.ele.appendChild(this.addDescendentButtonEle) ;
		this.addDescendentButtonEle.className = "add-descendent" ;
		this.subtractDescendentButtonEle = document.createElement("div") ;
		this.ele.appendChild(this.subtractDescendentButtonEle) ;
		this.subtractDescendentButtonEle.className = "subtract-descendent" ;
		// Enable button behaviors, including display toggling between them.
		this.addDescendentButtonEle.otherButtonEle = this.subtractDescendentButtonEle ;
		this.subtractDescendentButtonEle.otherButtonEle = this.addDescendentButtonEle ;
		this.addDescendentButtonEle.innerHTML = "<a href='#' onclick='addDescendents(this.parentNode.parentNode.id); toggleButtonDisplay(this)'>+</a>" ;
		this.subtractDescendentButtonEle.innerHTML = "<a href='#' onclick='removeDescendents(this.parentNode.parentNode.id); toggleButtonDisplay(this)'>-</a>" ;
	}
	// If not already self, add a button to make it one.
	if (this.generationsFromSelf != 0){
		this.graphThisEle = document.createElement("div") ;
		this.ele.appendChild(this.graphThisEle) ;
		this.graphThisEle.className = "graph-this-button" ;
		this.graphThisEle.innerHTML = "<span class='open-panel-button' projectID='"+this.ele.id+"' onmouseover='this.className=\"open-panel-button-hover\"' onmouseout='this.className=\"open-panel-button\"'onmouseup='openPanel("+this.ele.id+")'>details</span> | <a href='#' title='Recenter graph on this' onclick='graphThis(this.parentNode.parentNode)'>map this</a>" ;
	}
	// Add to manager.
	this.containerObj.fishObjManager.push(this) ;
	this.containerObj.fishObjManager[this.id] = this ;
	this.indexInt = this.containerObj.fishObjManager.length -1 ; // DEPRECATED. Useless if you plan to splice fish out of the manager later (it's OK if you are only adding them).
}
function toggleButtonDisplay(buttonAnchor) {
	buttonAnchor.parentNode.style.display = "none" ;
	buttonAnchor.parentNode.otherButtonEle.style.display = "block" ;
}
function addAncestors(idVar) {
	var thisFish = document.getElementById(idVar).obj ;
	var nextGeneration = thisFish.generationsFromSelf - 1 ;
	// Check whether the appropriate column exists.
	if ( (typeof columnObjManager["column" + nextGeneration + "Obj"] != "undefined") && (columnObjManager["column" + nextGeneration + "Obj"].loaded) ) {
	// DEBUGGING: 	debug("'already ancestor column'")
		var ancestorColumnObj = columnObjManager["column" + nextGeneration + "Obj"] ; // Column object ids look like "column-2Obj".
	}
	else { // Column already exists.
	// DEBUGGING: 	debug("'no ancestor column'")
		// Add a column whose generation is the same as this fish's ancestors. Nothing special about [0]--just a sample fish ancestor.
		var ancestorColumnObj = new ColumnObj( {generationsFromSelf: nextGeneration} ) ; // Generation should suffice to set proper column id.
		var ancestorGenerationId = "columnGeneration" + nextGeneration ; // Looks like "columnGeneration-2".
	}
	// Loop through this fish's ancestors, and add each to the new column.
	for (var ancestorCounter=0; ancestorCounter < thisFish.ancestorIdArr.length; ancestorCounter++) {
		if (thisFish.generationsFromSelf == 0) {
			var ancestorData = relationData.parents[ thisFish.ancestorIdArr[ancestorCounter] ] ;
			_parentData =			ancestorData ; debug("_parentData") ;
			var parentInt = nextParentInt() ;
			var grandparentInt = null ;
		}
		else if (thisFish.generationsFromSelf == -1) {
			var ancestorData = relationData.grandparents[ thisFish.ancestorIdArr[ancestorCounter] ] ;
			_grandparentData =			ancestorData ; debug("_grandparentData") ;
			var parentInt = thisFish.parentInt ;
			var grandparentInt = nextGrandparentInt(thisFish.parentInt) ;
		}
		addFish({ 
			eleId: ancestorData.eleId, // Same as thisFish.ancestorIdArr[ancestorCounter].eleId?
			projectTitle: ancestorData.projectTitle,
			thumb_id: ancestorData.thumb_id,
			containerObj: ancestorColumnObj,
			ancestorIdArr: ancestorData.ancestorIdArr,
			descendentIdArr: ancestorData.descendentIdArr,
			generationsFromSelf: nextGeneration,
			parentInt: parentInt,
			grandparentInt: grandparentInt,
			rightBorderColor: thisFish.leftColor
		}) ;
	};	
}
function addDescendents(idVar) {
	var thisFish = document.getElementById(idVar).obj ;
	var nextGeneration = thisFish.generationsFromSelf + 1 ;
	// Check whether the appropriate column exists.
	if ( (typeof columnObjManager["column" + nextGeneration + "Obj"] != "undefined") && (columnObjManager["column" + nextGeneration + "Obj"].loaded) ) {
	// DEBUGGING: 	debug("'already descendent column'")
		var descendentColumnObj = columnObjManager["column" + nextGeneration + "Obj"] ; // Column object ids look like "column-2Obj".
	}
	else { // Column already exists.
		// DEBUGGING: 	debug("'no descendent column'")
		// Add a column whose generation is the same as this fish's descendents. Nothing special about [0]--just a sample fish descendent.
		var descendentColumnObj = new ColumnObj( {generationsFromSelf: nextGeneration} ) ; // Generation should suffice to set proper column id.
		var descendentGenerationId = "columnGeneration" + nextGeneration ; // Looks like "columnGeneration-2".
	}
	// Loop through this fish's descendents, and add each to the new column.
	for (var descendentCounter=0; descendentCounter < thisFish.descendentIdArr.length; descendentCounter++) {
		if (thisFish.generationsFromSelf == 0) {
			var descendentData = relationData.children[ thisFish.descendentIdArr[descendentCounter] ] ;
			_childData =			descendentData ; debug("_childData") ;
			var childInt = nextChildInt() ;
			var grandchildInt = null ;
		}
		else if (thisFish.generationsFromSelf == +1) {
			var descendentData = relationData.grandchildren[ thisFish.descendentIdArr[descendentCounter] ] ;
			_grandchildData =			descendentData ; debug("_grandchildData") ;
			var childInt = thisFish.childInt ;
			var grandchildInt = nextGrandchildInt(thisFish.childInt) ;
		}
		addFish({ 
			eleId: descendentData.eleId, // Same as thisFish.descendentIdArr[descendentCounter].eleId?
			projectTitle: descendentData.projectTitle,
			thumb_id: descendentData.thumb_id,
			containerObj: descendentColumnObj,
			ancestorIdArr: descendentData.ancestorIdArr,
			descendentIdArr: descendentData.descendentIdArr,
			generationsFromSelf: nextGeneration,
			childInt: childInt,
			grandchildInt: grandchildInt,
			rightBorderColor: thisFish.leftColor
		}) ;
	};	
}
function removeAncestors(idVar) {
	removingAncestorsForId = idVar; debug("removingAncestorsForId")
	var thisFish = document.getElementById(idVar).obj ;
	thisFish_id = thisFish.id; debug("thisFish_id")
	var sampleAncestorEleId = thisFish.ancestorIdArr[0].split("_")[1] ; // Nothing special about [0]--just helps identify the ancestor column.
	_sampleAncestorEleId =sampleAncestorEleId ; debug("_sampleAncestorEleId") ;
	var ancestorColumnEle = document.getElementById( sampleAncestorEleId ).parentNode.parentNode ;
	_ancestorColumnEleId =	ancestorColumnEle.id ; debug("_ancestorColumnEleId", 3) ;
	// First remove this fish's ancestors from the ancestor column and the fish manager.
	for (var fishCounter=0; fishCounter < thisFish.ancestorIdArr.length; fishCounter++) {
		removeFish( thisFish.ancestorIdArr[fishCounter].split("_")[1] ) ;
	};
	debug("'Ancestors removed'")
	for (var i=0; i < ancestorColumnEle.obj.fishObjManager.length; i++) {
	// DEBUGGING: 	count = i;debug("count")
	// DEBUGGING: 	fishLeft = ancestorColumnEle.obj.fishObjManager[i].id; debug("fishLeft")
	};
	// Then remove entire column if there are no fish left in it.
	if (ancestorColumnEle.obj.fishObjManager.length == 0) {
	// DEBUGGING: 	debug("'no fish left in bowl'")
		// Remove the ancestor column and any previous from manager. UPGRADE: consolidate redundancy. ***FIX: You're splicing before identifying.
		var columnObjToRemoveInt = new Array() ;
		for (var columnObjCounter=0; columnObjCounter < columnObjManager.length ; columnObjCounter++) {
	// DEBUGGING: 		colInt = columnObjCounter; debug("colInt", 7)
	// DEBUGGING: 		columnObjId = columnObjManager[columnObjCounter].id; debug("columnObjId")
	// DEBUGGING: 		current_generationsFromSelf =	columnObjManager[columnObjCounter].generationsFromSelf ; debug("current_generationsFromSelf") ;
	// DEBUGGING: 		ancestor_generationsFromSelf =ancestorColumnEle.obj.generationsFromSelf ; debug("ancestor_generationsFromSelf") ;
			if ( columnObjManager[columnObjCounter].generationsFromSelf == ancestorColumnEle.obj.generationsFromSelf ) {
				// Remove ancestor column element.
				ancestorColumnEle.parentNode.removeChild( ancestorColumnEle ) ;
				// Mark for removal from manager.
				columnObjManager[ancestorColumnEle.obj.id].loaded = false ; // Because array[property] still exists after the element is spliced out.
				columnObjToRemoveInt.push(columnObjCounter) ;
	// DEBUGGING: 			columnObjId1stToRemove = columnObjManager[columnObjCounter].id; debug("columnObjId1stToRemove")
			}
			else if ( columnObjManager[columnObjCounter].generationsFromSelf == ancestorColumnEle.obj.generationsFromSelf -1 ) { // This will not always happen.
				// Remove column element previous to ancestor.
				columnObjManager[columnObjCounter].ele.parentNode.removeChild( columnObjManager[columnObjCounter].ele ) ;							
				// Mark for removal from manager.
				columnObjManager[columnObjCounter].loaded = false ; // Because array[property] still exists after the element is spliced out.
				columnObjToRemoveInt.push(columnObjCounter) ;
	// DEBUGGING: 			columnObjId2ndToRemove = columnObjManager[columnObjCounter].id; debug("columnObjId2ndToRemove")
			}
		};
		// Remove the identified columns.
		for (var i=columnObjToRemoveInt.length-1; i >= 0 ; i--) {
	// DEBUGGING: 		removable = i; debug("removable")
	// DEBUGGING: 		removeId = columnObjManager[ columnObjToRemoveInt[i] ].id; debug("removeId")
			columnObjManager.splice( columnObjToRemoveInt[i] , 1) ;
		};
	// DEBUGGING: 	columnObjManager_length =	columnObjManager.length ; debug("columnObjManager_length") ;
		adjustColumns() ;
	}
}
function removeDescendents(idVar) {
	removingDescendentsForId = idVar; debug("removingDescendentsForId")
	var thisFish = document.getElementById(idVar).obj ;
	thisFish_id = thisFish.id; debug("thisFish_id")
	var sampleDescendentEleId = thisFish.descendentIdArr[0].split("_")[1] ; // Nothing special about [0]--just helps identify the descendent column.
	_sampleDescendentEleId =sampleDescendentEleId ; debug("_sampleDescendentEleId") ;
	var descendentColumnEle = document.getElementById( sampleDescendentEleId ).parentNode.parentNode ;
	_descendentColumnEleId =	descendentColumnEle.id ; debug("_descendentColumnEleId", 3) ;
	// First remove this fish's descendents from the descendent column and the fish manager.
	for (var fishCounter=0; fishCounter < thisFish.descendentIdArr.length; fishCounter++) {
		removeFish( thisFish.descendentIdArr[fishCounter].split("_")[1] ) ;
	};
	debug("'Descendents removed'")
	for (var i=0; i < descendentColumnEle.obj.fishObjManager.length; i++) {
	// DEBUGGING: 	count = i;debug("count")
	// DEBUGGING: 	fishLeft = descendentColumnEle.obj.fishObjManager[i].id; debug("fishLeft")
	};
	// Then remove entire column if there are no fish left in it.
	if (descendentColumnEle.obj.fishObjManager.length == 0) {
	// DEBUGGING: 	debug("'no fish left in bowl'")
		// Remove the descendent column and any previous from manager. UPGRADE: consolidate redundancy. ***FIX: You're splicing before identifying.
		var columnObjToRemoveInt = new Array() ;
		for (var columnObjCounter=0; columnObjCounter < columnObjManager.length ; columnObjCounter++) {
	// DEBUGGING: 		colInt = columnObjCounter; debug("colInt", 7)
	// DEBUGGING: 		columnObjId = columnObjManager[columnObjCounter].id; debug("columnObjId")
	// DEBUGGING: 		current_generationsFromSelf =	columnObjManager[columnObjCounter].generationsFromSelf ; debug("current_generationsFromSelf") ;
	// DEBUGGING: 		descendent_generationsFromSelf =descendentColumnEle.obj.generationsFromSelf ; debug("descendent_generationsFromSelf") ;
			if ( columnObjManager[columnObjCounter].generationsFromSelf == descendentColumnEle.obj.generationsFromSelf ) {
				// Remove descendent column element.
				descendentColumnEle.parentNode.removeChild( descendentColumnEle ) ;
				// Mark for removal from manager.
				columnObjManager[descendentColumnEle.obj.id].loaded = false ; // Because array[property] still exists after the element is spliced out.
				columnObjToRemoveInt.push(columnObjCounter) ;
	// DEBUGGING: 			columnObjId1stToRemove = columnObjManager[columnObjCounter].id; debug("columnObjId1stToRemove")
			}
			else if ( columnObjManager[columnObjCounter].generationsFromSelf == descendentColumnEle.obj.generationsFromSelf +1 ) { // This will not always happen.
				// Remove column element previous to descendent.
				columnObjManager[columnObjCounter].ele.parentNode.removeChild( columnObjManager[columnObjCounter].ele ) ;							
				// Mark for removal from manager.
				columnObjManager[columnObjCounter].loaded = false ; // Because array[property] still exists after the element is spliced out.
				columnObjToRemoveInt.push(columnObjCounter) ;
	// DEBUGGING: 			columnObjId2ndToRemove = columnObjManager[columnObjCounter].id; debug("columnObjId2ndToRemove")
			}
		};
		// Remove the identified columns.
		for (var i=columnObjToRemoveInt.length-1; i >= 0 ; i--) {
	// DEBUGGING: 		removable = i; debug("removable")
	// DEBUGGING: 		removeId = columnObjManager[ columnObjToRemoveInt[i] ].id; debug("removeId")
			columnObjManager.splice( columnObjToRemoveInt[i] , 1) ;
		};
	// DEBUGGING: 	columnObjManager_length =	columnObjManager.length ; debug("columnObjManager_length") ;
		adjustColumns() ;
	}
}
function addFish(argObj) { // argObj is required.
	// Set default parameters.
	if (typeof argObj == "undefined") {
		var argObj = relationData.self ; // Defined in fake data above.
	}
	// Add fish.
	new Fish(argObj) ;
	// Reposition all fish in this column to compensate for this addition.
	// Re-center fishbowl vertically by subtracting half the height of the new fish and its margin.
	var newHeightInt = parseInt( argObj.containerObj.ele.fishbowlEle.offsetHeight ) ;
	if(browsers.ie) newHeightInt = 50 ; // UPGRADE: This is a temporary kludge until I know what's going on with IE.
	var verticalCompensationInt =  parseInt(- newHeightInt / 2 );
	var oldMarginTop = argObj.containerObj.ele.fishbowlEle.style.marginTop;
	var newMarginTop = parseInt(oldMarginTop) + verticalCompensationInt + "px" ;
	argObj.containerObj.ele.fishbowlEle.style.marginTop = newMarginTop ;
}
function removeFish(idVar) { // argObj is required. UPGRADE: eliminate redundancy with above.
	var fishToRemoveEle = document.getElementById(idVar) ;
	fishToRemoveEle.parentNode.removeChild(fishToRemoveEle) ;
	for (var i=0; i < fishToRemoveEle.obj.containerObj.fishObjManager.length; i++) {
		if ( fishToRemoveEle.obj.containerObj.fishObjManager[i].id == fishToRemoveEle.obj.id ) fishToRemoveEle.obj.containerObj.fishObjManager.splice( i, 1 ) ;
	};
	// Reposition all fish in this column to compensate for this subtraction.
	// Re-center fishbowl vertically by adding half the height of the new fish and its margin.
	var newHeightInt = parseInt( fishToRemoveEle.obj.containerObj.ele.fishbowlEle.offsetHeight ) ;
	if(browsers.ie) newHeightInt = 50 ; // UPGRADE: This is a temporary kludge until I know what's going on with IE.
	var verticalCompensationInt =  parseInt(+ newHeightInt / 2 );
	var oldMarginTop = fishToRemoveEle.obj.containerObj.ele.fishbowlEle.style.marginTop;
	var newMarginTop = parseInt(oldMarginTop) + verticalCompensationInt + "px" ;
	fishToRemoveEle.obj.containerObj.ele.fishbowlEle.style.marginTop = newMarginTop ;
}
function drawSelf(argObj) {
	new ColumnObj( {eleId: "self", generationsFromSelf: 0} ) ;
	// Note that most of relationData.self is defined above, but the columns didn't exist then.
	/* _______________ Fake data. _______________*/
	relationData.self.containerObj = columnObjManager[0] ;
// relationData_self_generationsFromSelf =	relationData.self.generationsFromSelf ; debug("relationData_self_generationsFromSelf") ;
	var selfFish = new Fish( relationData.self ) ;
}
function addConnector(argObj) { // UPGRADE: This is broken. Branch computed styles for IE.
	leftFishEle = document.getElementById(argObj.leftEleId) ;
	rightFishEle = document.getElementById(argObj.rightEleId) ;
	
	//connectorTop = document.getElementById(argObj.leftEleId).offsetTop;debug("connectorTop") ;
	// argObj.rightEleId
	// leftId = leftFishEle.id ; debug("leftId", 3)
	leftWidth = document.defaultView.getComputedStyle(leftFishEle,null).getPropertyValue("width"); debug("leftWidth")
	leftTop = document.defaultView.getComputedStyle(leftFishEle,null).getPropertyValue("top"); debug("leftTop")
	// rightId = rightFishEle.id ; debug("rightId", 3)
	rightWidth = document.defaultView.getComputedStyle(rightFishEle,null).getPropertyValue("width"); debug("rightWidth")
	rightTop = document.defaultView.getComputedStyle(rightFishEle,null).getPropertyValue("top"); debug("rightTop")
}
function revealDims(ele) { // DEPRECATED.
	eleId = ele.id ; debug("eleId", 3)
	eleWidth = document.defaultView.getComputedStyle(ele,null).getPropertyValue("width"); debug("eleWidth")
	eleTop = document.defaultView.getComputedStyle(ele,null).getPropertyValue("top"); debug("eleTop")
}
function graphThis(ele) {
	// revealDims(ele) ; // Just for debugging lines.
	graphEleId = ele.id; debug("graphEleId")
	window.location = "http://sato.asap.um.maine.edu/~pool/relations_map.php?id=" + ele.id + "&pool_type=art" ;
}
function openPanel(ele) {
	//This is part of John's panel hack
	var fishCallback = function(ajaxData){
		var artifactData = eval('('+ajaxData+')');
		var displayTitle = artifactData.project.title.length < 60 ? artifactData.project.title : artifactData.project.title.substring(0,57)+'...';
		var p = new ArtifactPanel(displayTitle);
		p.loadData(artifactData);	
	}
		
	ajax.get(siteBaseDir+'js/jsCache.js.php', {id: ele, type:'project'}, fishCallback);
}
</script>
</head>
<body onload="relationHackInit(); drawSelf( )">
	
<div class="legend">
	<h2>Pool Relationship Mapper</h2>
	<span style="font-size: 9; color: orange ;">Alpha version.</span><br />
	<br />
	<div class="label-earlier">
		ancestors <br />
		&lt;----------------------------------
	</div>
		
	<div class="label-later">
		descendents<br />
		----------------------------------&gt; 
	</div>
</div>
		
<div id="tank">
</div>

<!-- John's Panel Hack -->
<div id="stage" class="stage"></div>

</body></html>