<?PHP
//Define basic paths
define('POOL_ROOT', '/path/to/root/');
define('POOL_INI_PATH', POOL_ROOT.'ini/');

//Define account levels
define('POOL_LEVEL_USER', 1);
define('POOL_LEVEL_ADMIN', 2);

//Add root directory to path (for init files)
ini_set('include_path', POOL_ROOT.':'.ini_get('include_path'));
//Add libs directory to path
ini_set('include_path', POOL_ROOT.'libs:'.ini_get('include_path')); 
//Add pear DB directory to path
ini_set('include_path', POOL_ROOT.'libs/db:'.ini_get('include_path')); 
//Add smarty directory to path
ini_set('include_path', POOL_ROOT.'libs/smarty:'.ini_get('include_path'));

//Initializes the error reporting singleton
require_once('error_handler.class.php');
$e_handler = new clsErrorHandle;
//if (isset($_GET['showerrors'])) {
	$e_handler->setFlags(false, false, false, false, true); //This will ONLY output errors to STDOUT. 
//}
//else $e_handler->setFlags(false, false, true, true, false); //This will only output errors to email.
$e_handler->sendMailTo("Pool Errors", "errors@example.com"); 

//Define salt for cookie hashing
define('POOL_SALT', 'mylonglonglongrandomstringofchars');

//Define the URL for the pool's home page
define('POOL_HOME_URL', 'http://example.com/pool/');

//Define the return address for system emails
define('POOL_RETURN_ADDRESS', 'admin@example.com');

//Keys for ReCaptcha (required for signup)
define('RECAPTCHA_PUBLIC_KEY', 'example');
define('RECAPTCHA_PRIVATE_KEY', 'example');
?>