{	
			reference:{
				pool_type: '<{$reference->pool_type}>',
				id: '<{$reference->id}>',
				hr_id: '<{$reference->hr_id|escape:'javascript'}>',
				title: '<{$reference->title|escape:'javascript'}>',
				date_published: '<{$reference->date_published|escape:'javascript'}>',
				citation: '<{$reference->citation|escape:'javascript'}>',
				source_url: '<{$reference->source_url|escape:'javascript'}>',
				description: '<{$reference->description|escape:'javascript'}>',
				recorder_id: '<{$reference->recorder_id}>',
				recorder_written: '<{$reference->recorder_written|escape:'javascript'}>',
				rating: '<{$reference->rating}>',
				basis: '<{$reference->basis}>', 
				thumbnail: '<{$reference->thumb_id}>',
				subratings:{
					<{foreach name='subratings_loop' from=$reference->subratings item=subrating key=subrating_name}><{$subrating_name}>: {
						rating: <{$subrating.rating}>,
						basis: <{$subrating.basis}>
					} <{if $smarty.foreach.subratings_loop.last == false}>,<{/if}>
				<{/foreach}>},
				subjects:{<{foreach name='subjects_loop' from=$reference->subjects item=subject key=subject_name}>'<{$subject_name}>': '<{$subject}>'<{if $smarty.foreach.subjects_loop.last == false}>,<{/if}><{/foreach}>},
				attribution:{ '<{$reference->attribution}>': '<{$reference->attribution_written}>' },
				aspects:{<{foreach name='aspects_loop' from=$reference->aspects item=aspect key=aspect_name}>'<{$aspect_name}>': '<{$aspect|escape:'javascript'}>'<{if $smarty.foreach.aspects_loop.last == false}>,<{/if}><{/foreach}>},
				relations:{
					<{foreach name='relations_loop' from=$reference->relationships item=relationship key=relationship_id}>'<{$relationship.id}>': {
						relationship: '<{$relationship.relationship|escape:'javascript'}>',
						subject: '<{$relationship.subject_id}>',
						subject_type: '<{$relationship.subject_type}>',
						subject_title: '<{$relationship.subject_title}>',
						predicate: '<{$relationship.predicate_id}>',
						predicate_type: '<{$relationship.predicate_type}>',
						predicate_title: '<{$relationship.predicate_title}>',
						description: '<{$relationship.description|escape:'javascript'}>',
						recorder_id: '<{$relationship.recorder_id}>',
						recorder_written: '<{$relationship.recorder_written|escape:'javascript'}>'
					} <{if $smarty.foreach.relations_loop.last == false}>,<{/if}><{/foreach}>
				}
			},
			reviews:{
				<{foreach name='reviews_loop' from=$reference->reviews item=review key=review_id}>
				<{$review->js_cache}><{if $smarty.foreach.reviews_loop.last == false}>,<{/if}><{/foreach}>			
			}
}