<div>
	<b>Rights:</b><br />
	<div class='lm10'><span class='ppRights'></span></div>
</div>
<div>
	<div class='lm10'><span class='ppCustomRights'></span></div>
</div>
<br />
<div>
				<!-- License glosses REPLACE WITH _BLANK -->
		<div class='smallText gloss' id='gloss-no-license'><strong><em>None</em></strong> of the above licenses matches the combination of rights you have chosen:</div>
		<div class='smallText gloss' id='gloss-all-rights-reserved'><strong><em>All rights reserved</em></strong> is the strongest form of copyright, and prohibits sharing or altering the original in any way outside of <a href="http://en.wikipedia.org/wiki/Fair_use" title="Wikipedia Entry: Fair use" target="_blank">Fair Use</a>. For example, an audio file with this restriction could not be distributed on a peer-to-peer filesharing network.</div>
		<div class='smallText gloss' id='gloss-public-domain'><strong><em><a href="http://en.wikipedia.org/wiki/Public_domain" title="Wikipedia Entry: Public domain" target="_blank">Public-domain</a></em></strong> means no license at all, giving away all control over how the work is used. (Experts disagree on whether this is "freer" than a sharealike license.)</div>
		<div class='smallText gloss' id='gloss-open-art'><strong><em><a href="http://three.org/openart/" target="_blank">Open-art</a></em></strong> is the default Pool license, similar to the GPL except for its requirement that any reuse of a work be registered back in The Pool. Features:</div>
		<div class='smallText gloss' id='gloss-gpl'><strong><em><a href="http://en.wikipedia.org/wiki/Gpl" title="GNU General Public License - Wikipedia, the free encyclopedia" target="_blank">GPL</a></em></strong> (or GNU General Public License) is the official license of the <a href="http://www.fsf.org/" title="The Free Software Foundation - Free Software Foundation" target="_blank">Free Software Foundation</a>. One of the most popular brands of "open source" licenses, GPL is distinguished by its strong enforcement of the sharealike ("copyleft") principle, which advocates claim is more free than Public Domain. Features:</div>
		<div class='smallText gloss' id='gloss-lgpl'><strong><em><a href="http://en.wikipedia.org/wiki/GNU_Lesser_General_Public_License" title="Wikipedia Entry: GNU Lesser General Public License" target="_blank">LGPL</a></em></strong> (or Lesser General Public License) is a version of the GPL that keeps the original software free but allows other parties to combine it with software that is not as free. For example, Apple's proprietary browser Safari is based on WebCore, released under the LGPL, and its Aqua interface is based on Darwin, released under the LGPL equivalent Apple Public Source License.</div>
		<div class='smallText gloss' id='gloss-ccby'><strong><em><a href="http://creativecommons.org/licenses/by/3.0/" title="Creative Commons 
		    Attribution 3.0 Unported" target="_blank">CCby</a>/<a href="http://en.wikipedia.org/wiki/Bsd_license" title="BSD licenses - Wikipedia, the free encyclopedia" target="_blank">BSD</a></em></strong> is a minimal license that requires only that a copyright notice accompany any reuse. Three versions include the Creative Commons "attribution" license (CCby), the <a href="http://www.opensource.org/licenses/mit-license.php" title="Open Source Initiative OSI - The MIT License:Licensing | Open Source Initiative" target="_blank">MIT license</a>, and the <a href="http://www.opensource.org/licenses/bsd-license.php" title="Open Source Initiative OSI - The BSD License:Licensing | Open Source Initiative" target="_blank">Berkeley Software Distribution license</a> (BSD), which prohibits using the original author's name to endorse or promote new reuses. Features:</div>
		<div class='smallText gloss' id='gloss-ccby-sa'><a href="http://creativecommons.org/licenses/by-sa/3.0/" title="Creative Commons Attribution-Share Alike 3.0 Unported" target="_blank"><strong><em>CCby-sa</em></strong></a> is a license that requires any reuse to credit the original author (by including the original copyright notice) and that such reuse be offered under the same terms, so that all the authors' names will be added to the credits for a work as it changes with reuse over time.</div>
		<div class='smallText gloss' id='gloss-ccby-nc-nd'><strong><em><a href="http://creativecommons.org/licenses/by-nd/3.0/" title="Creative Commons 
		    Attribution-No Derivative Works 3.0 Unported" target="_blank">CCby-nc-nd</a></em></strong> ("Attribution-Noncommercial-NoDerivatives") and <strong><em><a href="http://creativecommons.org/licenses/by-nc-nd/2.0/deed-music" title="CC Music Sharing License" target="_blank">CCmusic-sharing</a></em></strong> are two similar licenses from Creative Commons that encourage free distribution without any changes to the original. Features:</div>
		<!-- <div class='smallText gloss' id='gloss-ccsampling+'><strong><em><a href="http://creativecommons.org/license/sampling" title="Choose a License" target="_blank">CCsampling+</a></em></strong> is a Creative Commons license that prevents others from re-using the entirety of a work but allows them to use pieces (except for advertising). Features:</div>
		<div class='smallText gloss' id='gloss-ccnc-sampling+'><strong><em><a href="http://creativecommons.org/licenses/sampling+/1.0/" title="Creative Commons 
		    Sampling Plus 1.0" target="_blank">CCnc-sampling+</a></em></strong> is a Creative Commons license that allows them to reuse pieces of a work for noncommercial purposes and to distribute the entire work freely. Features:</div> -->
		<!-- Term glosses -->
		<div id='gloss-attribution' class='smallText gloss'><span class='bolded'>Attribution</span>: The original credits must be incorporated verbatim into the artifact produced by the reuse. For example, the composer of a song with this restriction must be listed in the credits of a video if that song is used as its sound track.</div>
		<div id='gloss-noncommercial' class='smallText gloss'><span class='bolded'>Noncommercial</span>: The reuse is not for profit. For example, an audio file with this restriction could be used as the sound track for an educational video available for the cost of shipping and handling, but not as the soundtrack for a BMW commercial.</div>
		<div id='gloss-registration' class='smallText gloss'><span class='bolded'>Registration</span>: Any reuse must be registered in a particular community network. For example, someone who reuses a script from one of the Creation Pools would need to add a reference to their derivative work in one of the Reference Pools, with a relationship (such as <em>Transforms</em> or <em>Uses In Combination</em>) back to the original script.</div>
		<div id='gloss-view-source' class='smallText gloss'><span class='bolded'>View Source</span>: The source file/s for the work must remain accessible to the public. For example, a song created with a music editor like Fruityloops must be released in both its final (mp3) and source (.flp) formats. (The Combinations and Transformations rights dictate whether reuse includes the right to modify such source file/s.)</div>
		<div id='gloss-combinations-allowed' class='smallText gloss'><span class='bolded'>Combinations allowed</span>: The work can be combined with other material to create a new work; for example, a JavaScript could be used to make a Web site.</div>
		<div id='gloss-combinations-sharealike' class='smallText gloss'><span class='bolded'>Sharealike Combinations</span>: Whatever license terms restrict the original artifact must restrict other works combined with it in the future. For example, if a composer makes her song freely available for noncommercial purposes, then a video incorporating that song must also be available under the same terms. Also called "copyleft".</div>
		<div id='gloss-combinations-none' class='smallText gloss'><span class='bolded'>No Combinations</span>: The artifact must be presented as is, without its incorporation into or combination with other artifacts in the same or other media. For example, a song with this restriction must be played alone and cannot be edited or incorporated into another song or video.</div>
		<div id='gloss-transformations-allowed' class='smallText gloss'><span class='bolded'>Transformations allowed</span>: The work can be changed to create a new work; for example, a song could be speeded up, re-orchestrated, or remixed.</div>
		<div id='gloss-transformations-sharealike' class='smallText gloss'><span class='bolded'>Sharealike Transformations</span>: Whatever license terms restrict the original artifact must restrict reuses as well. For example, if a composer makes her song freely available for noncommercial purposes, then a remix of that song must also be available under the same terms. Also called "copyleft".</div>
		<div id='gloss-transformations-none' class='smallText gloss'><span class='bolded'>No Transformations</span>: The artifact cannot be distorted or re-edited in its original medium. As long as the creator hasn't selected 'no combinations,' it may still be combined with other artifacts provided its original form remains intact. A song with these conditions may be reused as the soundtrack of a video if aspects like tempo, pitch, and instrumentation aren't modified.</div>
		<div id='gloss-Custom' class='smallText gloss'><span class='bolded'>Custom</span>: A sentence or paragraph indicating special license terms not reducible to a combination of the yes-or-no choices listed on this form. Example: This song can be remixed by anyone not currently employed by Walt Disney Corporation. (max 255 characters)</div>	</div>